## net.i2p.router.transport
Class UPnPManager

    java.lang.Object
      net.i2p.router.transport.UPnPManager

     class UPnPManager

extends Object

Bridge from the I2P RouterAddress data structure to the freenet data structures

Author:
  zzz

Constructor Summary
`UPnPManager(RouterContext context, TransportManager manager)`

Method Summary
`String` `renderStatusHTML()`
`void` `start()`
`void` `stop()`
`void` `update(Map<String,Integer> ports)` Call when the ports might have changed The transports can call this pretty quickly at startup, which can have multiple UPnP threads running at once, but that should be ok.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UPnPManager

    public UPnPManager(RouterContext context,
                       TransportManager manager)

Method Detail

### start

    public void start()

### stop

    public void stop()

### update

    public void update(Map<String,Integer> ports)

  Call when the ports might have changed The transports can call this pretty quickly at startup, which can have multiple UPnP threads running at once, but that should be ok.

### renderStatusHTML

    public String renderStatusHTML()